Bug 910702 - VMware ESXi failed to list domains
Summary: VMware ESXi failed to list domains
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-13 10:37 UTC by vvs
Modified: 2013-04-11 23:31 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 23:31:11 UTC
Type: Bug


Attachments (Terms of Use)

Description vvs 2013-02-13 10:37:28 UTC
Description of problem:

The list command in virsh doesn't work with VMware ESXi 5.0.

Version-Release number of selected component (if applicable):

libvirt-0.10.2.2-3.fc18.i686

How reproducible:

Always

Steps to Reproduce:
1. connect to ESXi hypervisor
2. run list command
  
Actual results:

error: Failed to list domains
error: internal error Could not get name of virtual machine

Expected results:

list of VMs.

Additional info:

Comment 1 Cole Robinson 2013-04-01 14:20:23 UTC
Possible fix:

commit 5fc663d8bedc082585941e1453229cdcf5fe2880
Author: Matthias Bolte <matthias.bolte@googlemail.com>
Date:   Sun Sep 9 12:31:16 2012 +0200

    esx: Fix and improve esxListAllDomains function

Comment 2 Fedora Update System 2013-04-01 22:05:42 UTC
libvirt-0.10.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libvirt-0.10.2.4-1.fc18

Comment 3 Fedora Update System 2013-04-03 04:28:32 UTC
Package libvirt-0.10.2.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.10.2.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4691/libvirt-0.10.2.4-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-11 23:31:17 UTC
libvirt-0.10.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.